Create an offset lifecycle event notification configuration
curl --request POST \
--url https://api.metronome.com/v2/notifications/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "+1 day after contract starts",
"policy": {
"type": "contract.start",
"offset": "P1D"
},
"uniqueness_key": "contract-start-notification-823j7fqzo1"
}
'import requests
url = "https://api.metronome.com/v2/notifications/create"
payload = {
"name": "+1 day after contract starts",
"policy": {
"type": "contract.start",
"offset": "P1D"
},
"uniqueness_key": "contract-start-notification-823j7fqzo1"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '+1 day after contract starts',
policy: {type: 'contract.start', offset: 'P1D'},
uniqueness_key: 'contract-start-notification-823j7fqzo1'
})
};
fetch('https://api.metronome.com/v2/notifications/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.metronome.com/v2/notifications/create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '+1 day after contract starts',
'policy' => [
'type' => 'contract.start',
'offset' => 'P1D'
],
'uniqueness_key' => 'contract-start-notification-823j7fqzo1'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.metronome.com/v2/notifications/create"
payload := strings.NewReader("{\n \"name\": \"+1 day after contract starts\",\n \"policy\": {\n \"type\": \"contract.start\",\n \"offset\": \"P1D\"\n },\n \"uniqueness_key\": \"contract-start-notification-823j7fqzo1\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.metronome.com/v2/notifications/create")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"+1 day after contract starts\",\n \"policy\": {\n \"type\": \"contract.start\",\n \"offset\": \"P1D\"\n },\n \"uniqueness_key\": \"contract-start-notification-823j7fqzo1\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.metronome.com/v2/notifications/create")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"+1 day after contract starts\",\n \"policy\": {\n \"type\": \"contract.start\",\n \"offset\": \"P1D\"\n },\n \"uniqueness_key\": \"contract-start-notification-823j7fqzo1\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "d7abd0cd-4ae9-4db7-8676-e986a4ebd8dc",
"name": "+1 day after contract starts",
"type": "OFFSET_LIFECYCLE_EVENT",
"policy": {
"type": "contract.start",
"offset": "P1D"
},
"environment_type": "PRODUCTION",
"created_at": "2024-01-15T10:30:00Z",
"created_by": "Martins Seyi",
"archived_at": null
}
}{
"code": "BadRequest",
"message": "<string>"
}Notifications
Create an offset lifecycle event notification configuration
Create an offset lifecycle event notification configuration. The lifecycle event type is inferred from the policy.type field.
POST
/
v2
/
notifications
/
create
Create an offset lifecycle event notification configuration
curl --request POST \
--url https://api.metronome.com/v2/notifications/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "+1 day after contract starts",
"policy": {
"type": "contract.start",
"offset": "P1D"
},
"uniqueness_key": "contract-start-notification-823j7fqzo1"
}
'import requests
url = "https://api.metronome.com/v2/notifications/create"
payload = {
"name": "+1 day after contract starts",
"policy": {
"type": "contract.start",
"offset": "P1D"
},
"uniqueness_key": "contract-start-notification-823j7fqzo1"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '+1 day after contract starts',
policy: {type: 'contract.start', offset: 'P1D'},
uniqueness_key: 'contract-start-notification-823j7fqzo1'
})
};
fetch('https://api.metronome.com/v2/notifications/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.metronome.com/v2/notifications/create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '+1 day after contract starts',
'policy' => [
'type' => 'contract.start',
'offset' => 'P1D'
],
'uniqueness_key' => 'contract-start-notification-823j7fqzo1'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.metronome.com/v2/notifications/create"
payload := strings.NewReader("{\n \"name\": \"+1 day after contract starts\",\n \"policy\": {\n \"type\": \"contract.start\",\n \"offset\": \"P1D\"\n },\n \"uniqueness_key\": \"contract-start-notification-823j7fqzo1\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.metronome.com/v2/notifications/create")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"+1 day after contract starts\",\n \"policy\": {\n \"type\": \"contract.start\",\n \"offset\": \"P1D\"\n },\n \"uniqueness_key\": \"contract-start-notification-823j7fqzo1\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.metronome.com/v2/notifications/create")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"+1 day after contract starts\",\n \"policy\": {\n \"type\": \"contract.start\",\n \"offset\": \"P1D\"\n },\n \"uniqueness_key\": \"contract-start-notification-823j7fqzo1\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "d7abd0cd-4ae9-4db7-8676-e986a4ebd8dc",
"name": "+1 day after contract starts",
"type": "OFFSET_LIFECYCLE_EVENT",
"policy": {
"type": "contract.start",
"offset": "P1D"
},
"environment_type": "PRODUCTION",
"created_at": "2024-01-15T10:30:00Z",
"created_by": "Martins Seyi",
"archived_at": null
}
}{
"code": "BadRequest",
"message": "<string>"
}Authorizations
Body
application/json
Notification configuration details